CC=avr-gcc
CPPFLAGS=-DF_CPU=16000000UL
CFLAGS=-Wall -std=c99 -Os -mmcu=atmega328p -fshort-enums -I../libpbn
LDFLAGS = -std=c99 -mmcu=atmega328p 

# To enable DEBUG_MODE
#CPPFLAGS+=-DDEBUG_MODE

vpath lib% ../libpbn

VPATH = ../

# Default
.PHONY: all
all: t_lan

# Dependències
lan.o: error_morse.h -lpbn
error_morse.o: -lpbn

t_lan.o: -lpbn
t_lan: error_morse.o lan.o -lpbn

# Llibreria
.PHONY: libpbn
libpbn:
	$(MAKE) -C ../libpbn

# Utils
.PHONY: clean veryclean
clean:
	\rm -f *~ *.o *.s *.hex

veryclean: clean
	\rm -f \#*\# t_lan 

# Regles genèriques
%.hex: %
	avr-objcopy -Oihex  $< $@

.PHONY: implanta_%
implanta_%: %.hex
	avrdude -c arduino -p atmega328p -P $(DEVICE) -U flash:w:$<

